Bug 622231 - Network Connections window does not show Bluetooth connections
Network Connections window does not show Bluetooth connections
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 05:04 EDT by cam
Modified: 2011-06-28 10:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2010-08-08 05:04:35 EDT
Description of problem: The Network Connections window doesn't show the mobile broadband connection that is in use.


Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-1.fc13.i686


How reproducible:
100%

Steps to Reproduce:
1.connect to mobile broadband with bluetooth PAN
2.open network connections window 
3.select mobile broadband tab
  
Actual results:
no connections shown

Expected results:
connection in use shown, and editable

Additional info:
I think this is important because there may be a need to change something about the connection - in my case I would prefer to use a well known DNS provider instead of relying on the poor implementation of the ISP / phone. I expected to be able to open the network connections window and edit the connection info in the same way as I would for a wired interface, overriding some aspects of the connection (fixed DNS instead of DHCP provided).
 
When my connection is started by Network Manager it acquires an IP address and remote gateway, the gateway is pingable and /etc/resolv.conf is set appropriately, however it never answers DNS queries. If I override with a replacement resolv.conf using well known DNS servers it works fine.
Comment 1 Olivier Crête 2010-12-23 15:14:17 EST
I have two more use cases for this:

1. My telco (Vidéotron) has the brilliant idea to block DNS traffic to anywhere but their server. And Nexus One silently replaces the DNS server with Google's, which is blocked. Resulting in no DNS service. I have to update it manually using D-Feet, which is I guess, out of reach of most people.

2. It would be nice to be able to setup a different ISP with the same phone without having to de-pair and re-pair the phone.


Also, adding an extra tab there seems kind of trivial, or did I miss something ?
Comment 2 Bug Zapper 2011-06-01 07:54:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:51:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.